/**
 * Copyright (c) 2002 Bright Side Factory.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:
 *       "This product includes software developed by the
 *        Bright Side Factory (http://www.bs-factory.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The names "Bright Side", "BS Factory" and "Bright Side Factory" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written
 *    permission, please contact info@bs-factory.org.
 *
 * 5. Products derived from this software may not be called "Bright Side",
 *    nor may "Bright Side" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 * ====================================================================
 *
 * This software consists of voluntary contributions made by many
 * individuals on behalf of the Bright Side Factory.  For more
 * information on the Bright Side Factory, please see
 * <http://www.bs-factory.org/>.
 */
package com.bsf.lovDemo.views;

import com.jgoodies.swing.application.ResourceManager;

import javax.swing.Icon;

/**
 * This class consists of string ids used for the resource bundle lookup,
 * and some preloaded resources.
 */
public final class Resources {
    // *************************************************************************
    // ******************************** IDs ************************************
    // *************************************************************************

    public static final String FORWARD_ICON_ID = "forward.icon";
    public static final String APPLICATION_ICON_ID = "application.icon";
    public static final String APPLICATION_12_12ICON_ID = "application.12x12.icon";
    public static final String LOGO_ICON_ID = "logo.icon";
    public static final String HELP_CONTENTS_ICON_ID = "helpContents.icon";
    public static final String BOOK_ICON_ID = "help.openBook.icon";
    public static final String TOPIC_ICON_ID = "help.topic.icon";

    public static final String DEFAULT_PROJECT_NAME_ID = "defaultProject.name";

    // *************************************************************************
    // ***************************** Ressources ********************************
    // *************************************************************************

    public static final Icon APPLICATION_ICON = getIcon( APPLICATION_ICON_ID );
    public static final Icon BOOK_ICON = ResourceManager.getIcon( BOOK_ICON_ID );
    public static final Icon TOPIC_ICON = ResourceManager.getIcon( TOPIC_ICON_ID );

    // *************************************************************************
    // *************************** Helping Methods *****************************
    // *************************************************************************

    protected static Icon getIcon( String id ) {
        return ResourceManager.getIcon( id );
    }
}
